12.1 RC2 available with zypper

Downloading now - wish me luck :slight_smile:

I wish you luck cause the DVD is not available for download… even though it says it is. Hopefully, your zypper will get the proper latest sources and data. I prefer to use the DVD in order to check out the install procedures. Probably isn’t all ready yet. It is 4:34am here in Arizona, USA. I see that you started yours at around 5:03am in the UK. Since there is 7 hours difference between us, I figure we should hear some reports from you by the time they get the download page straightened out. Right now we get a reply that it can’t find it.
Take care,
Chuck

Well, it failed at 93 % of Kernel install stage with the message :

Warning: %post (kernel-desktop-3.1.0-1.1.2.x86_64) Scriptlet failed, signal 2.

Rebooting was ok so back in business with previous kernel. Guess I’ll wait before another attempt.

Depending on location mirror/s sync may take a while :slight_smile:

Later - discovered zypper and yast broken. :frowning:

But Kpackagekit installed what was left of the update and yast etc now ok.

But - yast tells me that the kernel is now version 3.1.0-1.1.2 (ie no update needed) but menu.lst says it’s 3.1.0-rc9-1. Which do I believe?

On Thu, 03 Nov 2011 12:56:02 +0000, petermcph wrote:

> Later - discovered zypper and yast broken. :frowning:
>
> But Kpackagekit installed what was left of the update and yast etc now
> ok.
>
> But - yast tells me that the kernel is now version 3.1.0-1.1.2 (ie no
> update needed) but menu.lst says it’s 3.1.0-rc9-1. Which do I believe?

I updated my 12.1 yesterday via YAST, got the new kernel and menu.lst was
also updated from rc9 to final version. What hasn’t changed is that it is
still 12.1 RC1, not RC2. A small update this morning did not change that.


Graham Davis, Bracknell, Berks.
openSUSE 11.4 (64-bit); KDE 4.7.2; AMD Phenom II X2 550 Processor;
Video: nVidia GeForce 210 (using nVidia driver);
Sound: ATI SBx00 Azalia (Intel HDA); Wireless: BCM4306

On 11/03/2011 07:56 AM, petermcph wrote:
>
> Later - discovered zypper and yast broken. :frowning:
>
> But Kpackagekit installed what was left of the update and yast etc now
> ok.
>
> But - yast tells me that the kernel is now version 3.1.0-1.1.2 (ie no
> update needed) but menu.lst says it’s 3.1.0-rc9-1. Which do I believe?

Neither. Only ‘uname -r’ knows for sure.

Ah yes of course. It tells me it’s 3.1.0-rc9-1. So it seems I’m stuck.

Not necessarily. What about using yast2 -> Softwaremanagement? Doesn’t the new kernel show up if you enter “kernel” into the search field?
All you need to do would then be a right click on the appropriate kernel and then choose “update”. This should fix your problem.

Regards,
Andreas

Yast software manager only shows the new kernel. But in /boot/grub, there are all the files for both kernels.

Anyway, I think I’ve just fixed the problem (well at least uname -r now shows the new kernel) by first running “mkinitrd / -f <new_kernel_name>”
then changing the necessary info in menu.lst.

I don’t know if mkinitrd was necessary, but it all seems ok now. :slight_smile:

RC2 is available now!

On Thu, 03 Nov 2011 18:26:02 +0000, hank se wrote:

> RC2 is available now!

Just started a meta-download. Bit surprised by the size - 3.7 GiB
compared to RC1 4.4? Super new slimline version or something missing?


Graham Davis, Bracknell, Berks.
openSUSE 11.4 (64-bit); KDE 4.7.2; AMD Phenom II X2 550 Processor;
Video: nVidia GeForce 210 (using nVidia driver);
Sound: ATI SBx00 Azalia (Intel HDA); Wireless: BCM4306

And it has build number 25, RC1 is 379.

S.

Writing this from virtual box:
I did received 1893 updates two days ago, a couple updates yesterday and still i`m on RC 1. Now i see that RC 2 is available but zypper says that it has nothing to do.
Apper does not work anymore complains about a missing library so i had used the gnome interface of Packagekit (i have both kde and gnome desktops installed) and even then gnome-packagekit says that my software is up to date…
What is wrong here? Where does 1893 updates the ones for RC2? And if so, why in the bootloader i still have RC1 ?

creatura@creation:~> uname -a
Linux creation 3.1.0-1-default #1 SMP Tue Oct 25 17:33:27 UTC 20
11 (68289aa) i686 i686 i386 GNU/Linux
creatura@creation:~> cat /etc/SuSE-release 
openSUSE 12.1 RC 1 (i586)
VERSION = 12.1
CODENAME = Asparagus

I get a 404 from the software.opensuse.org link but Index of /distribution/12.1-RC2/iso is working I am downloading the dvd now. I just want to see if the software bug is fixd will report in a few hours

My report is here has anyone installed rc2 from the dvd yet?

I upgraded with zypper dup from RC1 and was not successfull. Gnome was falling several times and I decided to download RC2 from distrowatch this morning. I will test it.

On 11/04/2011 08:16 AM, petrherynk wrote:
>
> I upgraded with zypper dup from RC1 and was not successfull. Gnome was
> falling several times and I decided to download RC2 from distrowatch
> this morning. I will test it.

My upgrade of a KDE system with ‘zypper dup’ from RC1 to RC2 was completely
satisfactory. Now running just fine.

I upgraded with zypper dup, downloaded about 300 MB. I had to boot twice, with one fall. I tested only a while and for the time being all functioned.

Where did this update come from? I zypper dupped from the factory repo and I’m still in RC1.